<template lang="pug">
	article#etiqueta

		header( v-if="etiqueta" )
			hgroup
				h1 Etiqueta: {{ etiqueta.nombre | capitalizar }}
		listado

		section.detalle
			detalleArchivo( v-if="archivo", :archivo="archivo" )
</template>

<script>
	import Listado from "@/components/Listado";
	import DetalleArchivo from "@/components/DetalleArchivo";
	import { mapState, mapActions, mapMutations } from "vuex";

	export default {
		name: "Etiqueta",
		components: {
			Listado,
			DetalleArchivo
		},
		watch: {
			id(n, a) {
				if (this.id) {
					//this.obtenerCategoria({ id:this.id })
					this.obtenerEtiqueta({ id: this.id });
					this.$el.scrollIntoView({
						behavior: "smooth",
						block: "start"
					});
				}
			}
		},
		computed: {
			id() {
				return this.$route.params.id;
			},
			...mapState(["carpeta", "archivos", "archivo", "etiqueta"])
		},
		methods: {
			...mapActions(["obtenerArchivos", "obtenerEtiqueta"])
		},
		created() {
			this.obtenerEtiqueta({ id: this.id });
			this.$root.$on("archivo-actualizado", () => {
				this.obtenerEtiqueta({ id: this.id, actualiza: true });
			});
		}
	};
</script>

<style lang="stylus" scoped>
	@import "~nib/index"
	@import "../stylus/base/utiles.styl"

	.etiquetas,
	#etiqueta
		display grid
		grid-template-areas "encabezado detalle" "listado detalle"
		grid-template-columns 1fr max-content
		grid-template-rows min-content 1fr
		grid-gap 0 1rem
		align-content start
		align-items start

	header
		grid-area encabezado
		display grid
		justify-content stretch
		justify-items stretch
		grid-template-areas "titulo"
		grid-template-columns 1fr
		grid-gap 0 1rem
		border-bottom 1px solid tint( azul, 60% )
		margin-bottom 1rem
		background-color tint( azul, 80% )
		border-radius .5rem .5rem 0 0

		hgroup
			grid-area titulo
			background-color azul
			color white
			padding .8rem 1rem
			display flex
			border-radius .5rem .5rem 0 0

			h1
				font-weight 500
				line-height 1
				font-size calcRem( 15 )

	.listado
		grid-area listado
		background-color fondo_listado

	.detalle
		grid-area detalle
		margin 0
</style>
